Skip to content

Delete tenant logo

Request to delete the logo image stored for a logo location of a tenant:

DELETE /api/v2/tenants/<tenant-id>/branding/logo/<location>

<location> is one of:

  • login_page - the logo of the Sign-In page
  • header_menu - the logo of the top navigation bar

When the location's logo_type is logo, it is reset to default because there is no image left to display. A logo_type of text is left unchanged.

Response contains HTTP status code as shown in the following table.

Response Description
200 OK Image has been successfully deleted
403 Forbidden The request cannot be completed because API user has no permission to edit branding
404 Not Found No logo image is stored for this location, the location is unknown, or the tenant does not exist or is not visible to the API user